<template>
<div>
  <div class="container">
    <div class="row">
      <div class="col s12 m12 l12 perfil">
        <h5 class="header">Perfil de usuario</h5>
        <div class="card horizontal">
          <div class="card-image">
            <img src="../../src/assets/img/1.jpg" class="img_usuario">
          </div>
          <div class="card-stacked">
            <div class="card-content">
              <div class="row">
                <div class="col s12 m3 l2 estiloColumna negrita">
                  <span>Nombre: </span>
                </div>
                <div class="col s12 m9 l4 estiloColumna">
                  <span>{{userLog.Nombre | converToUpperLett}}</span>
                </div>
                <div class="col s12 m3 l2 estiloColumna negrita">
                  <span>Apellido: </span>
                </div>
                <div class="col s12 m9 l4 estiloColumna">
                  <span>{{userLog.Apellido | converToUpperLett}}</span>
                </div>
                <div class="col s12 m3 l2 estiloColumna negrita">
                  <span>Correo: </span>
                </div>
                <div class="col s12 m9 l4 estiloColumna">
                  <span>{{userLog.Correo | converToUpperLett}}</span>
                </div>
                <div class="col s12 m3 l2 estiloColumna negrita">
                  <span>Avatar: </span>
                </div>
                <div class="col s12 m9 l4 estiloColumna">
                  <span>{{userLog.Avatar | converToUpperLett}}</span>
                </div>
                <div class="col s12 m3 l2 estiloColumna negrita">
                  <span>Contraseña: </span>
                </div>
                <div class="col s12 m9 l4 estiloColumna">
                  <span>{{userLog.Contrasenia | hiddenPassword}}</span>
                </div>
              </div>
            </div>
          </div>
        </div>
      </div>
    </div>
  </div>
</div>
</template>
<script type="text/javascript">
export default {
  data() {
    return {
      userLog: {},
    }
  },
  mounted() {
    this.userLog = this.$parent.getUserLogs();
  },
  filters: {
    converToUpperLett(value = '') {
      return value.toUpperCase();
    },
    hiddenPassword(value = '') {
      return value.substring(0, 0) + '........';
    }
  },
}
</script>
<style>
.estiloColumna {
  height: 50px;
}

.negrita {
  font-weight: bolder;
}

.img_usuario {
  width: 100%;
  height: 200px;
}
</style>
